
Name:	 virtuoso-opensource
Version: 5.0.12
Release: 1%{?dist}
Summary: A high-performance object-relational SQL database

Group:   Applications/Databases
# see LICENSE for exception details
License: GPLv2 with exceptions
URL:	 http://virtuoso.sourceforge.net/
Source0: http://downloads.sourceforge.net/virtuoso/virtuoso-opensource-%{version}.tar.gz
#Source0: ftp://download.openlinksw.com/support/vos/virtuoso-opensource-%{snap}.tar.gz
Patch1:  virtuoso-opensource-5.0.11-openssl.patch
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

## Upstreamable patches
# fix build with ossl-1.0
Patch50: virtuoso-opensource-5.0.11-openssl.patch
# fix build --with-external-zlib
Patch51: virtuoso-opensource-5.0.12-zlib.patch

BuildRequires: automake libtool
BuildRequires: bison
BuildRequires: flex
BuildRequires: gperf
BuildRequires: htmldoc
## when/if we ever decide to ship .jar's
#BuildRequires: java-devel
BuildRequires: openldap-devel
BuildRequires: openssl-devel
BuildRequires: libiodbc-devel
BuildRequires: libxml2-devel
BuildRequires: zlib-devel

Provides: virtuoso = %{version}-%{release}


%description
Virtuoso is a scalable cross-platform server that combines SQL/RDF/XML
Data Management with Web Application Server and Web Services Platform
functionality.

%package apps
Summary: Applications
Group:   Applications/Databases
Requires: %{name} = %{version}-%{release}
%description apps 
%{summary}.

%package conductor
Summary: Server pages 
Group:   Applications/Databases
Requires: %{name} = %{version}-%{release}
%if 0%{?fedora} > 9
BuildArch: noarch
%endif
%description conductor 
%{summary}.

%package doc 
Summary: Documentation 
Group:   Documentation 
Requires: %{name} = %{version}-%{release}
%if 0%{?fedora} > 9
BuildArch: noarch
%endif
%description doc 
%{summary}.

%package utils
Summary: Utilities
Group:   Applications/Databases
Requires: %{name} = %{version}-%{release}
%description utils
%{summary}.


%prep
%setup -q -n virtuoso-opensource%{!?snap:-%{version}}%{?snap:-%{snap}}

%patch50 -p1 -b .openssl
%patch51 -p1 -b .zlib


%build
# --with-debug avoids useless -debuginfo
%configure \
  --with-layout=redhat \
  --enable-shared --disable-static \
  --without-internal-zlib \
  --with-debug \
  --enable-iodbc \
  --enable-openssl \
  --enable-xml

# smp busted
make 


%install
rm -rf %{buildroot} 

make install DESTDIR=%{buildroot}

mkdir -p %{buildroot}%{_sysconfdir}/virtuoso
mv %{buildroot}%{_var}/lib/virtuoso/db/virtuoso.ini %{buildroot}%{_sysconfdir}/virtuoso/
ln -s ../../../..%{_sysconfdir}/virtuoso/virtuoso.ini %{buildroot}%{_var}/lib/virtuoso/db/virtuoso.ini

# generic'ish binaries, hide them away safely
mkdir -p %{buildroot}%{_libexecdir}/virtuoso/
mv %{buildroot}%{_bindir}/{inifile,isql,isqlw} \
   %{buildroot}%{_libexecdir}/virtuoso/

## unpackaged files 
rm -vf %{buildroot}%{_libdir}/*.{la,a}
rm -vf %{buildroot}%{_libdir}/virtuoso/hosting/*.la
rm -vf %{buildroot}%{_libdir}/{jdbc-?.?,jena,sesame}/*.jar


%clean
rm -rf %{buildroot} 


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING LICENSE
%dir %{_sysconfdir}/virtuoso/
%config(noreplace) %{_sysconfdir}/virtuoso/virtuoso.ini
%{_bindir}/virtuoso-t
%{_libdir}/virt*.so
%dir %{_datadir}/virtuoso/
%dir %{_datadir}/virtuoso/vad/
%dir %{_libdir}/virtuoso/
%dir %{_libexecdir}/virtuoso/
%dir %{_var}/lib/virtuoso
%{_var}/lib/virtuoso/db/

%files apps
%defattr(-,root,root,-)
%{_libdir}/virtuoso/hosting/
%{_datadir}/virtuoso/vad/*.vad
%exclude %{_datadir}/virtuoso/vad/conductor_dav.vad

%files conductor
%defattr(-,root,root,-)
%{_datadir}/virtuoso/vad/conductor_dav.vad
%{_var}/lib/virtuoso/vsp/

%files doc
%defattr(-,root,root,-)
%{_docdir}/virtuoso/

%files utils
%defattr(-,root,root,-)
%{_bindir}/virt_mail
%{_libexecdir}/virtuoso/*


%changelog
* Tue Oct 20 2009 Rex Dieter <rdieter@fedoraproject.org> 5.0.12-1
- virtuoso-opensource-5.0.12

* Sun Oct 11 2009 Rex Dieter <rdieter@fedoraproject.rog> 5.0.12-0.1.rc9.20090916
- virtuoso-opensource-20090916 (5.0.12-rc9)

* Wed Aug 26 2009 Tomas Mraz <tmraz@redhat.com> - 5.0.11-4
- rebuilt with new openssl

* Fri Jul 24 2009 Rex Dieter <rdieter@fedoraproject.org> 5.0.11-3
- BR: htmldoc
- -doc subpkg

* Sun Jun 07 2009 Rex Dieter <rdieter@fedoraproject.org> 5.0.11-2
- omit remaining .la files
- fix %%changelog
- fix virtuoso.ini dangling symlink

* Fri May 22 2009 Rex Dieter <rdieter@fedoraproject.org> 5.0.11-1
- virtuoso-opensource-5.0.11

